# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Dancer2.pm) perl(Dancer2/Core/Role/Logger.pm) perl(Exporter.pm) perl(File/Copy.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(HTTP/Request/Common.pm) perl(Import/Into.pm) perl(JSON.pm) perl(Log/Radis.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Plack/Test.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/CPAN/Changes.pm) perl(Test/Mock/Redis.pm) perl(Test/Most.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strictures.pm)
# END SourceDeps(oneline)
%define module_version 0.002
%define module_name Dancer2-Logger-Radis
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Dancer2 logger engine for Log::Radis
Group: Development/Perl
License: open_source
URL: https://github.com/zurborg/libdancer2-logger-radis-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZU/ZURBORG/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Radis (from *Radio* and *Redis*) is a concept of caching GELF messages in a Redis DB. Redis provides a *reliable queue* via the *(B)RPOPLPUSH* command. See http://redis.io/commands/rpoplpush for more information about that mechanism.

The implementation of a Radis client is quite simple: just push a GELF message with the LPUSH command onto the queue. A collector fetches the messages from the queue and inserts them into a Graylog2 server, for example.

The current perl implementation is the Log::Radis manpage. This module is a simple wrapper for it.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/D*

%changelog
* Sun Jul 03 2016 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

